### Method

# Ide BufferManager save_all_async

#### Declaration

    void
    ide_buffer_manager_save_all_async (
      IdeBufferManager* self,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description

Asynchronously requests that the `IdeBufferManager` save all of the loaded buffers to disk.

`callback` will be executed after all the buffers have been saved.

Available since: | 3.32

#### Parameters

`cancellable` | `GCancellable`
| A `GCancellable`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`callback` | `GAsyncReadyCallback`
| A callback to execute upon completion.
| The argument can be `NULL`.
`user_data` | `gpointer`
| Closure data for `callback`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.